/**
 * Copyright (C) 2010-2011 LShift Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.lshift.diffa.adapter.correlation;

/**
 * Handler interface that can be implemented in client libraries to allow for correlated version recovery.
 */
public interface VersioningParticipantHandler {
  /**
   * Requests that the adapter generate a processing response based on the given incoming entity data. The downstream
   * adapter is not expected to re-admit the data into its system - it should simply parse the data so as to be able
   * to determine it's own version information.
   * @param entityBody the body of the entity as provided by the upstream.
   * @return a processing response detailed version information.
   */
  ProcessingResponse generateVersion(String entityBody);
}
